:root {
	--fade: #F2F2F2;
	--white: #FFFFFF;
	--gold: #DFBB7C;
}

.bg-custom-corners {
	background: url('https://perezpriego.mx/wp-content/uploads/2025/03/fondo-recta-7a-2.png');
	background-position: center center;
	background-repeat: no-repeat;
	background-size: 100% 100%;
}

.span-gold-text span {
	color: var(--gold) !important;
}
.span-white-text span {
	color: var(--white) !important;
}

body:not(.page-id-248) div[data-elementor-type="header"] {
	padding-bottom: 50px;
	padding-top: 50px;
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	z-index: 999;
	transition: all 0.3s ease; /* Transición suave para todos los cambios */
}
body:not(.page-id-248) div.is-sticky[data-elementor-type="header"] {
	background: rgba(0, 0, 0, 0.5);
	padding-bottom: 10px;
	padding-top: 10px;
}
body.page-id-3 div[data-elementor-type="header"],
body.page-id-25 div[data-elementor-type="header"],
body.page-id-903 div[data-elementor-type="header"],
body.page-id-909 div[data-elementor-type="header"],
body.blog div[data-elementor-type="header"],
body.single-post div[data-elementor-type="header"] {
	background: rgba(0, 0, 0, 0.5);
}

label {
	color: #747474;
	font-size: 18px;
	margin-bottom: 10px;
}

input[type=date], input[type=file], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
	background: #FFFFFF;
    width: 100%;
    border: 2px solid var(--gold);
    border-radius: 15px;
    padding: 15px;
    transition: all .3s;
    margin-bottom: 10px;
    font-size: 18px;
}

textarea {
	height: 100px;
	resize: none;
}

.form-dark input[type=date], .form-dark input[type=file], .form-dark input[type=email], .form-dark input[type=number], .form-dark input[type=password], .form-dark input[type=search], .form-dark input[type=tel], .form-dark input[type=text], .form-dark input[type=url], .form-dark select, .form-dark textarea {
	background: #141414;
	color: #747474;
}
.form-dark label {
	color: #747474;
}

.wpcf7-form-control-wrap.recaptcha {
	display: block;
	margin-bottom: 15px;
}

.icon-white .e-font-icon-svg {
    fill: #FFF;
}

.elementor-kit-6 input[type="submit"], 
.wpcf7-form-control.wpcf7-submit {
    font-size: 18px;
    line-height: 18px;
    color: var(--gold);
	border: 2px solid var(--gold);
    border-radius: 50px 50px 50px 50px;
    padding: 10px 80px 10px 80px;
    background: #000;
    border: 0;
    font-weight: 600;
}
.elementor-kit-6 input[type="submit"]:hover, 
.wpcf7-form-control.wpcf7-submit:hover {
	background: var(--gold);
	color: #000;
}
.wpcf7-list-item {
    display: inline-block;
    margin: 0 0 0 1em;
    width: 45%;
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 10px;
}
body.home .wpcf7-list-item {
	color: #FFF;
}

.elementor-counter .elementor-counter-number-prefix,
.elementor-counter .elementor-counter-number-suffix {
	font-size: 24px;
	margin-top: 20px;
}
.elementor-counter-title {
    display: block !important;
    margin: 0px auto !important;
    max-width: 230px;
    text-align: center;
}

/* CSS para la sección con fondo fijo */
.fixed-background {
    /*background-attachment: fixed;
    background-position: center;
    background-size: cover;*/
    transition: background-attachment 0.3s ease;
}

.tooltip-container {
    position: relative;
    display: inline-block;
}

.tooltip-text {
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltip-container:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
}



.visible-xs {
	display: none !important;
}

/* Medium & mobile devices (phone, tablets, 768px and less) */
@media screen and (max-width: 767px) {
	.visible-xs {
		display: block !important;
	}

	.hidden-xs {
		display: none !important;
	}
	
	.wpcf7-list-item {
        width: 100%;
    }
}

/* Mobile devices (tablet, 768px and up) */
@media (min-width: 768px) {
	.wpcf7-list-item {
		width: 100%;
	}
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
	.wpcf7-list-item {
		width: 45%;
	}
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
	.wpcf7-list-item {
		width: 45%;
	}
}

/* XXL Extra large devices (HD-4K, 1400px and up) */
@media (min-width: 1400px) {
	.wpcf7-list-item {
		width: 45%;
	}
}